MysqlndUhConnection::serverDumpDebugInformation
MysqlndUhConnection::setCharset
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::setAutocommit

(PECL mysqlnd-uh >= 1.0.1-alpha, PHP >= 5.4.0)

MysqlndUhConnection::setAutocommit — Turns on or off auto-committing database modifications

### Description

public bool MysqlndUhConnection::setAutocommit ( mysqlnd_connection `$connection` , int `$mode` )

Turns on or off auto-committing database modifications

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`mode`

  Whether to turn on auto-commit or not.

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::setAutocommit() example

`<?php
class proxy extends MysqlndUhConnection {
public function setAutocommit($res, $mode) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::setAutocommit($res, $mode);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->autocommit(false);
$mysqli->autocommit(true);
?>`

The above example will output:

    proxy::setAutocommit(array (
      0 => NULL,
      1 => 0,
    ))
    proxy::setAutocommit returns true
    proxy::setAutocommit(array (
      0 => NULL,
      1 => 1,
    ))
    proxy::setAutocommit returns true

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_autocommit() - Turns on or off auto-committing database modifications

MysqlndUhConnection::serverDumpDebugInformation
MysqlndUhConnection::setCharset
MysqlndUhConnection
PHP Manual